---
infra_server_url: "https://boundary.skao.int/api/"
infra_server_name: infra-server
infra_server_version: 0.21.0
infra_server_image: "infrahq/infra:{{ infra_server_version }}"
infra_server_user: root
infra_server_log_options:
  max-size: "10m"
  max-file: "3"
  labels: "int.skao.app.group"
infra_server_labels:
  org.ska.app.group: infra-server

# Only generate the secrets in the first deploy
infra_server_generate_secrets: false

infra_server_db_host: "{{ _ | default_to_env('INFRA_SERVER_DB_HOST') }}"
infra_server_db_port: 5432
infra_server_db_name: infra
infra_server_db_username: infra
infra_server_db_password: "{{ _ | default_to_env('INFRA_SERVER_DB_PASSWORD') }}"
infra_server_ui_proxy: http://172.21.0.1:3000
infra_server_log_level: info

infra_server_volumes:
  # configurations
  - "/etc/infrahq:/etc/infrahq:ro"
  - "/etc/infrahq/secrets:/var/run/secrets:ro"

infra_server_ports:
  - "8080:8080"
  - "8443:8443"
  - "9090:9090"

infra_server_env_defaults:
  INFRA_SERVER_DB_PASSWORD: "{{ infra_server_db_password }}"

infra_server_env_variables: {}

infra_propagator_server_url: "http://localhost:8080/api/"
infra_propagator_access_key: "{{ _ | default_to_env('INFRA_PROPAGATOR_ACCESS_KEY') }}"

infra_ui_name: infra-ui
infra_ui_image: "infrahq/ui:{{ infra_server_version }}"
infra_ui_user: root

infra_ui_ports:
  - "3000:3000"

# infra local postgresdb (for testing)
infra_local_db_install: false
infra_local_db_image: postgres:14-alpine
infra_local_db_name: infra
infra_local_user: root
infra_local_db_ports:
  - "5432:5432"
infra_local_db_env_defaults:
  POSTGRES_DB: "{{ infra_server_db_name }}"
  POSTGRES_USER: "{{ infra_server_db_username }}"
  POSTGRES_PASSWORD: "{{ infra_server_db_password }}"
infra_local_db_env_variables: {}
